import { MapIterator } from "../util/map_iterator";
import { ParamDefinition } from "./param-definition";
import { ParamsEquation } from "./params-equation";

export interface IParamDefinitionIterator extends IterableIterator<ParamDefinition> {
}

/**
 * itérateur sur les paramètres d'une seule instance de ParamsEquation
 */
export class ParamDefinitionIterator implements IParamDefinitionIterator {
    private _mapIterator: MapIterator<ParamDefinition>;

    constructor(_params: ParamsEquation) {
        this._mapIterator = new MapIterator(_params.map);
    }

    public next(): IteratorResult<ParamDefinition> {
        return this._mapIterator.next();
    }

    public [Symbol.iterator](): IterableIterator<ParamDefinition> {
        return this;
    }
}
