import { ParamsEquation } from "../param/params-equation";
import { ParamDefinition, ParamFamily } from "../param/param-definition";
import { ParamDomainValue } from "../param/param-domain";

export class PbBassinParams extends ParamsEquation {

    /** Surface du bassin en m2 */
    public S: ParamDefinition;

    /** Cote de fond du bassin en m */
    public ZF: ParamDefinition;

    constructor(rS: number, rZF: number) {
        super();
        this.S = new ParamDefinition(this, "S", ParamDomainValue.POS, "m²", rS);
        this.addParamDefinition(this.S);
        this.ZF = new ParamDefinition(this, "ZF", ParamDomainValue.ANY, "m", rZF, ParamFamily.ELEVATIONS);
        this.addParamDefinition(this.ZF);
    }
}
